curl --request GET \
--url https://api.fabric.inc/v3/carts/{cartId}/fulfillments/{fulfillmentId} \
--header 'Authorization: Bearer <token>' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>'import requests
url = "https://api.fabric.inc/v3/carts/{cartId}/fulfillments/{fulfillmentId}"
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-fabric-tenant-id': '<x-fabric-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.fabric.inc/v3/carts/{cartId}/fulfillments/{fulfillmentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "d6229cdb-0c5b-4885-b1b2-13b94d02488e",
"type": "SHIP_TO",
"refId": "398427903843",
"attributes": {
"source": "store"
},
"originAddress": "a8577d7f-0d4d-4b22-8e85-7b4a2e90dc93",
"destinationAddress": "a8577d7f-0d4d-4b22-8e85-7b4a2e90dc93",
"locationId": "CA",
"pickupPerson": {
"primary": {
"name": {
"first": "John",
"middle": "S",
"last": "Doe"
},
"email": "john@test.com",
"phone": {
"number": "123-456-7890",
"type": "MOBILE"
}
},
"secondary": [
{
"name": {
"first": "John",
"middle": "S",
"last": "Doe"
},
"email": "john@test.com",
"phone": {
"number": "123-456-7890",
"type": "MOBILE"
}
}
]
},
"price": {
"amount": 12.99
},
"promotions": {
"total": 15,
"collection": [
{
"id": "bb44db95-6fbd-4eed-a1ed-4d99bc91250f",
"amount": 15
}
]
},
"fees": {
"total": 5,
"collection": [
{
"id": "a8577d7f-0d4d-4b22-8e85-7b4a2e90dc93",
"name": "Eco Fee",
"price": {
"amount": 12.99
},
"taxable": true,
"attributes": {
"source": "eco"
},
"tax": {
"total": 3,
"collection": [
{
"amount": 3,
"attributes": {
"rate": "5.0",
"type": "COUNTY"
}
}
]
},
"updatedAt": "2024-06-13T16:50:00.682Z",
"createdAt": "2024-06-13T16:50:00.682Z",
"taxDetails": {
"destinationAddress": "c86f777b-1885-4ddf-961d-542ba80a69b8",
"originAddress": "c86f777b-1885-4ddf-961d-542ba80a69b8"
}
}
]
},
"adjustments": {
"total": 2,
"collection": [
{
"id": "a8577d7f-0d4d-4b22-8e85-7b4a2e90dc93",
"price": {
"amount": 12.99
},
"reason": "Price adjustment from customer representative.",
"attributes": {
"source": "CSR"
},
"updatedAt": "2024-06-13T16:50:00.682Z",
"createdAt": "2024-06-13T16:50:00.682Z"
}
]
},
"tax": {
"total": 3,
"collection": [
{
"amount": 3,
"attributes": {
"rate": "5.0",
"type": "COUNTY"
}
}
]
}
}{
"type": "BAD_REQUEST",
"message": "x-fabric-tenant-id is required"
}{
"type": "CART_NOT_FOUND",
"message": "Cart not found"
}Get fulfillment
Returns the fulfillment associated with the corresponding cart.
The Cart ID from the Create cart endpoint is used in the path parameter.
The Fulfillment ID from the Create fulfillment endpoint is used in the path parameter.
Authorizations
This is the authorization token used to authenticate the request. You must pass the access token generated from the system app. For more information, see the Making your first API request section.
Headers
A header used by fabric to identify the tenant making the request. You must include tenant id in the authentication header for an API request to access any of fabric’s endpoints. You can retrieve the tenant id , which is also called account id, from Copilot. This header is required.
"617329dfd5288b0011332311"
Unique request ID for tracking.
"263e731c-45c8-11ed-b878-0242ac120002"
x-fabric-channel-id identifies the sales channel through which the API request is being made; primarily for multichannel use cases. It is a required field. The default US channel is 12 while the default Canada channel is 11.
"12"
Path Parameters
The 24-character system-generated Cart ID. This ID is generated using the Create cart endpoint.
The Fulfilmment ID that was generated when a fulfillment was created using the Create fulfillment endpoint.
Response
OK
A fulfillment object containing important fulfillment information.
The Fulfillment ID generated when a fulfillment was created using the Create fulfillment endpoint.
"d6229cdb-0c5b-4885-b1b2-13b94d02488e"
Determines the type of fulfillment.
SHIP_TO, BOPIS, ROPIS "SHIP_TO"
An alternative identifier for fulfillments, used for additional tracking or referencing.
"398427903843"
Custom attributes to provide more context to the fulfillment, such as where it was made.
Show child attributes
Show child attributes
{ "source": "store" }
The identifier of the address where the item is being fulfilled.
"a8577d7f-0d4d-4b22-8e85-7b4a2e90dc93"
The identifier of the address where the item is being shipped.
"a8577d7f-0d4d-4b22-8e85-7b4a2e90dc93"
Unique identifier of the store.
"CA"
Pickup person details
Show child attributes
Show child attributes
Price details
Show child attributes
Show child attributes
A collection of promotions applied to the fulfillment.
Show child attributes
Show child attributes
A collection of fees associated with the corresponding cart.
Show child attributes
Show child attributes
A collection of adjustments made to the corresponding cart.
Show child attributes
Show child attributes
A collection of taxes.
Show child attributes
Show child attributes
Was this page helpful?
